import { ChallengeCommand } from "./challenge";
import { BattleTestCommand } from "./battletest";
import { InitCommand } from "./init";
import { RandomCaseCommand } from "./randomcase";
import { RollCommand } from "./roll";
import { SlashCommand } from "./slash";
import { GrantCommand } from "./grant";
import { EquipCommand } from "./equip";
import { ListCommand } from "./list";

export const SlashCommandList: SlashCommand[] = [
    new RandomCaseCommand(),
    new InitCommand(),
    new RollCommand(),
    new BattleTestCommand(),
    new ChallengeCommand(),
    new GrantCommand(),
    new EquipCommand(),
    new ListCommand()
];